import { TransactionError } from '@solana/web3.js';
import { Cluster } from './program-names';
import { Amman } from '../../api';
export declare type LogMessage = {
    text: string;
    prefix: string;
    style: 'muted' | 'info' | 'success' | 'warning';
};
export declare type InstructionLogs = {
    logs: LogMessage[];
    failed: boolean;
};
export declare class PrettyLogger {
    readonly amman: Amman;
    readonly prettyLogs: InstructionLogs[];
    depth: number;
    constructor(amman: Amman);
    addLine(line: string, error: TransactionError | null, cluster: Cluster): Promise<{
        newLogs: LogMessage[];
        newTransaction: boolean;
    }>;
    prettyProgramLabel(programAddress: string, cluster: Cluster): Promise<string>;
}
